iterator.hh File Reference
`#include <mia/3d/vector.hh>`
Include dependency graph for 3d/iterator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | std::iterator_traits< mia::range3d_iterator< I > >
class | std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > >
class | range3d_iterator< I >
| a 3D iterator that knows its position in the 3D grid ans supports iterating over sub-ranges More...
class | range3d_iterator_with_boundary_flag< I >
| a 3D iterator that knows its position in the 3D grid, has a flag indicating whether it is on a boundary, and supports iterating over sub-ranges More...

## Namespaces

namespace | std

## Functions

template<typename I>
bool | operator!= (const range3d_iterator< I > &a, const range3d_iterator< I > &b)
template<typename I>
bool | operator!= (const range3d_iterator_with_boundary_flag< I > &a, const range3d_iterator_with_boundary_flag< I > &b)
template<typename I>
bool | operator== (const range3d_iterator< I > &left, const range3d_iterator< I > &right)
template<typename I>
bool | operator== (const range3d_iterator_with_boundary_flag< I > &left, const range3d_iterator_with_boundary_flag< I > &right)

## Function Documentation

## operator!=() [1/2]

template<typename I>

bool operator!= | ( | const range3d_iterator< I > & | a,
|  | const range3d_iterator< I > & | b )

Compare two range iterators. There equivalence is only decided based on the grid position.

Definition at line 365 of file 3d/iterator.hh.

## operator!=() [2/2]

template<typename I>

bool operator!= | ( | const range3d_iterator_with_boundary_flag< I > & | a,
|  | const range3d_iterator_with_boundary_flag< I > & | b )

Compare two range iterators. There equivalence is only decided based on the grid position.

Definition at line 421 of file 3d/iterator.hh.

## operator==() [1/2]

template<typename I>

bool operator== | ( | const range3d_iterator< I > & | left,
|  | const range3d_iterator< I > & | right )

Compare two range iterators. There equivalence is only decided based on the grid position.

Definition at line 352 of file 3d/iterator.hh.

## operator==() [2/2]

template<typename I>

bool operator== | ( | const range3d_iterator_with_boundary_flag< I > & | left,
|  | const range3d_iterator_with_boundary_flag< I > & | right )

Compare two range iterators. There equivalence is only decided based on the grid position.

Definition at line 408 of file 3d/iterator.hh.